/* JUST OFF Program specific CSS */
.justoff-program-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 30px;
  align-items: start;
  margin-top: 40px;
  margin-bottom: 60px;
}
@media screen and (min-width: 768px) {
  .justoff-program-container {
    grid-template-columns: 2fr 3fr;
  }
}

.justoff-poster-img {
  width: 100%;
  height: auto;
  border-radius: 4px;
}

.justoff-schedule {
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding-right: 20px;
}

.justoff-schedule-block {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.justoff-date-flag {
  flex: 0 0 100px;
  height: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-family: 'Work Sans', sans-serif;
  font-weight: 700;
  font-size: 24px;
  letter-spacing: 2px;
  box-shadow: inset -10px 0 20px rgba(255,255,255,0.2);
}

.justoff-date-1 {
  background: linear-gradient(90deg, #D479B3 0%, #E86B7C 50%, #F59B71 100%);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  margin-left: -20px; /* pull left into margin if possible */
  padding-left: 10px;
}

.justoff-date-2 {
  background: linear-gradient(90deg, #D479B3 0%, #E86B7C 100%);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  margin-left: -20px;
  padding-left: 10px;
}

.justoff-date-3 {
  background: linear-gradient(90deg, #A765A6 0%, #D479B3 100%);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  margin-left: -20px;
  padding-left: 10px;
}

.justoff-schedule-content {
  flex: 1;
}

.justoff-schedule-content .time {
  color: #888;
  font-family: 'Work Sans', sans-serif;
  font-size: 14px;
  margin-bottom: 5px;
  font-weight: 500;
}

.justoff-schedule-content p {
  color: #333;
  font-family: 'Work Sans', sans-serif;
  font-size: 15px;
  font-weight: 400;
  line-height: 1.4;
  margin-bottom: 15px;
}

.justoff-schedule-content h3, 
.justoff-schedule-content h4 {
  font-family: 'Work Sans', sans-serif;
  margin-bottom: 5px;
  color: #000;
}

.justoff-schedule-content h3 {
  font-size: 18px;
  text-transform: uppercase;
  font-weight: 700;
  margin-top: 10px;
}

.justoff-schedule-content h4 {
  font-size: 16px;
  font-weight: 700;
}

.justoff-schedule-content .italic {
  font-style: italic;
  font-weight: 300;
}

.justoff-schedule-content .location {
  display: block;
  font-size: 14px;
  color: #666;
  margin-bottom: 5px;
  text-transform: uppercase;
  font-weight: 600;
}
